Packages - Freedom Issue #2174
[libksysguard] Depends on qt5-webengine
2019-02-13 05:22 PM - grizzlyuser

Status: duplicate % Done: 0%
Priority: freedom issue

Assignee: oaken-source

Category:

Description

It's sad to see, but the Subject says it all.

I'm not sure what functionality of this lib depends on qt5-webengine. After | upgraded ksysguard today to the latest version (5.15.0-1,
x86-64), without the upgrade to libksysguard 5.15.0-1, KSysGuard appears to be working as before. Yeah, | know, partial upgrades
are not supported, but anyway.

As due to this dependency, KSysGuard might end up in the blacklist, it would be interesting to see any alternatives to it. | got used to
it because it's a simple but highly configurable GUI tool that allows to see processes, resource usage, hardware sensor readings, and
storage /O utilization speeds in a single place, all with graphs. | need this info from time to time, and don't want to have
widgets/plugins/whatever for that always running in my DE.

There's psensor, but AFAIK it's for sensor readings only. And it currently doesn't start due to missing libsensors.so0.4 after recent
upgrade of Im_sensors, and is marked out of date due to this. Arch already rebuilt theirs, and this has been reported in 'out-of-date’
notification in the Parabola [Dev] mailing list.

gnome-system-monitor and xfce4-taskmanager come close, but look like they cannot be easily configured to show sensors and 1/O
speed data.

Related issues:

Related to Packages - Freedom Issue #1167: [chromium][electron][gt5-webengine... confirmed
Is duplicate of Packages - Freedom Issue #2211: [libksysguard]: depends on no... fixed
History

#1 - 2019-02-14 06:03 AM - bill-auger

- Status changed from unconfirmed to confirmed

the first thing that comes to my mind is that there are many programs that accomplish those tasks - mabye not all in the same convenient applet, but
they are all quite simple GUI front-ends for features that the basic system already has - ive done some work myself toward adding some of those
monitors to the LXDE panel

i know this was not a great answer, but the only practical functionality that blacklisting this package would remove from parabola, is user-friendly
mouse-clicking convenience for things that can be accomplished in a terminal with no loss of generality

and of course, it should not go without saying, that to require a web browser for any of those features, is beyond absurd

#2 - 2019-02-14 06:03 AM - bill-auger

- Related to Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium platform"
added

#3 - 2019-02-14 11:40 AM - grizzlyuser

The problem with this package can be seen in the dependency tree:

plasma—-desktop
| _ksysguard
| _libksysguard

Not sure about the full list of features it's required for, but it looks like a number of desktop widgets depend on it. For example, some can be found by
right click on KDE Plasma desktop - Add Widgets... - enter 'monitor' in the filter text box: CPU Load Monitor, Hard Disk I/O Monitor, Hard Disk Space
Usage, Memory Status, Network Monitor, System Load Viewer, and maybe some others.

bill-auger wrote:

i know this was not a great answer, but the only practical functionality that blacklisting this package would remove from parabola, is user-friendly
mouse-clicking convenience for things that can be accomplished in a terminal with no loss of generality
Any suggestions about configurable real-time graphs on demand would be highly appreciated.
bill-auger wrote:

and of course, it should not go without saying, that to require a web browser for any of those features, is beyond absurd

<offtop>
Unfortunately, it's how things work: people build abstractions upon abstractions. Is QtWebEngine a whole web browser? From the project description
page [1] it seems to be a web platform, that's stripped from Google crap at least. That doesn't lessen its complexity much, though.

Isn't WebKitGTK+ different that much? | looked at the list of packages that require webkit2gtk, and there are lots of them, including GNOME apps
(Boxes, Builder, etc.) and Eclipse bundles, for example.
</offtop>

BTW, browsing the changelog, | found why libksysguard depends on gt5-webengine now: [2]
And also there's some hope: ifdef that seems to allow to build the lib without QtWebEngine: [3], [4]. | didn't try to build it myself, though.

[1] https://wiki.qt.io/QtWebEngine

[2] https://cgit.kde.org/libksysguard.git/commit/?id=c9747e37c53101¢8228f9571¢c9367ce4193d3b51
[3] https://cgit.kde.org/libksysguard.git/commit/?id=956c9f29b9b9f036f9b81656f06c29fb 1748852
[4] https://bugs.kde.org/399637

#4 - 2019-02-14 11:52 AM - bill-auger

FWIW, that is essentially saying that KDE is no longer installable on parabola - and that happened because it's developers decided that a system
monitor was not complete without a web browser - this is just another example of the very unfortunate trend of putting more and more javascript on
the desktop - such "cargo-cult" engineering should deserve no sympathy IMHO

as for a replacement, take a look at what is available

$ pacman —-Ss monitor

offhand, i know several GUIs such as gnome-system-monitor, mate-system-monitor, deepin-system-monitor, conky, gkrellm - and countless individual
CLlI tools which are typically much more configurable than GUI tools

#5 - 2019-02-26 08:42 PM - grizzlyuser
This seems to be fixed by https://labs.parabola.nu/issues/2211

#6 - 2019-02-26 08:47 PM - oaken-source
- Is duplicate of Freedom Issue #2211: [libksysguard]: depends on nonfree qt5-webengine added

#7 - 2019-02-26 08:48 PM - oaken-source
- Assignee set to oaken-source

- Status changed from confirmed to duplicate
